Get my assets of an asset type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/user/projects/{project_id}/asset-types/{asset_type_id}/assets

Get the assets of an asset type in a project. The route uses only the entities where you have an assigned task. If the project is closed, the list is empty.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

  • asset_type_id string(uuid) Required

    Unique identifier of the asset type

Responses

  • 200 application/json

    The list of assets

    Hide response attributes Show response attributes object
    • id string(uuid)

      Asset unique identifier

    • name string

      Asset name

    • description string

      Asset description

    • asset_type_id string(uuid)

      Asset type identifier

    • project_id string(uuid)

      Project identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 403

    You use a bot token

  • 404

    The project or the asset type does not exist

GET /data/user/projects/{project_id}/asset-types/{asset_type_id}/assets
curl -X GET "http://api.example.com/data/user/projects/a24a6ea4-ce75-4665-a070-57453082c25/asset-types/b35b7fb5-df86-5776-b181-68564193d36/assets" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/projects/a24a6ea4-ce75-4665-a070-57453082c25/asset-types/b35b7fb5-df86-5776-b181-68564193d36/assets"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "c46c80c6-e097-6887-c292-79675204e470",
    "name": "Main Character",
    "description": "Main character model for the project",
    "asset_type_id": "d57d91d7-f108-7998-d403-80786315f580",
    "project_id": "e68e02e8-0219-8009-e514-918974260690",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]